Get a paginated list of your jobs.
curl --request GET \
--url https://api.hirehive.com/v1.0/{company_id}/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hirehive.com/v1.0/{company_id}/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hirehive.com/v1.0/{company_id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"page_size": 123,
"page": 123,
"total_items": 123,
"total_pages": 123,
"has_next_page": true,
"has_previous_page": true
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"previous": "<string>"
},
"items": [
{
"id": "<string>",
"assigned_team": {
"assigned_users": [
"<string>"
],
"recruiter_ids": [
"<string>"
]
},
"notifications": {
"new_application_email": [
"<string>"
]
},
"application_form": {
"base_form": {
"current_title": "off",
"current_company": "off",
"location": "off",
"phone": "off",
"resume": "off",
"cover_letter": "off"
},
"additional_form_ids": [
"<string>"
]
},
"auto_responder": {
"id": "<string>",
"email_subject": "<string>",
"email_body": "<string>"
},
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"deadline": {
"closes_at": "2023-11-07T05:31:56Z",
"auto_close": true
},
"title": "<string>",
"description": "<string>",
"location": {
"city": "<string>",
"state": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"country": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"remote": "not_remote"
},
"owner_id": "<string>",
"status": "drafted",
"type": "full_time",
"experience": "na",
"salary": "<string>",
"job_code": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"published_date": "2023-11-07T05:31:56Z",
"category": {
"id": "<string>",
"name": "<string>"
},
"language": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"job_ads": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"job_board": "indeed",
"status": "unknown",
"budget": 123,
"meta": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"apply_url": "<string>"
}
]
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Jobs
Get jobs
Get a paginated list of jobs
GET
/
v1.0
/
{company_id}
/
jobs
Get a paginated list of your jobs.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Sortable fields: title, published_date, created_date.
Filter jobs by title
Filter jobs by job code
Filter jobs by status
Available options:
drafted, published, closed, internal Filter jobs by employment type
Available options:
full_time, part_time, contract, temporary, other, internship, volunteer Filter jobs by experience level
Available options:
na, intern, entry_level, mid_level, senior Filter jobs by the user_id of the job owner
Filter jobs by the user_id of the users assigned to the job
Filter jobs by the 2 letter ISO code of the country eg. US, FR
Filter jobs by the 2 letter ISO code of the state eg. FL, MA
Filter jobs by category id
Defaults to 1
Defaults to 30. Min = 1. Max = 100
Required range:
1 <= x <= 100Was this page helpful?
⌘I